<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <UseWPF>true</UseWPF>
    <Company>AIStudio.Wpf.Controls</Company>
    <Authors>akwkevin</Authors>
    <PackageProjectUrl>https://gitee.com/akwkevin</PackageProjectUrl>
    <PackageIcon>A.png</PackageIcon>
    <PackageIconUrl />
    <NeutralLanguage />
    <Version>1.0.6</Version>
    <Description>一个Wpf的脚本生成模块</Description>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\AIStudio.Wpf.DiagramDesigner\AIStudio.Wpf.DiagramDesigner.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.CodeAnalysis.CSharp.Scripting" Version="4.5.0" />
    <PackageReference Include="AvalonEdit" Version="6.1.2.30" />
    <PackageReference Include="System.ServiceModel.Primitives" Version="4.10.2" />
  </ItemGroup>
  
  <ItemGroup Condition="'$(TargetFramework)' == 'net5.0-windows'">
    <Reference Include="AIStudio.Wpf.Script.Core">
      <HintPath>Dlls\net5.0-windows\AIStudio.Wpf.Script.Core.dll</HintPath>
    </Reference>
    <Reference Include="HL">
      <HintPath>Dlls\net5.0-windows\HL.dll</HintPath>
    </Reference>
    <Reference Include="TextEditLib">
      <HintPath>Dlls\net5.0-windows\TextEditLib.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup Condition="'$(TargetFramework)' == 'net6.0-windows'">
    <Reference Include="AIStudio.Wpf.Script.Core">
      <HintPath>Dlls\net6.0-windows\AIStudio.Wpf.Script.Core.dll</HintPath>
    </Reference>
    <Reference Include="HL">
      <HintPath>Dlls\net6.0-windows\HL.dll</HintPath>
    </Reference>
    <Reference Include="TextEditLib">
      <HintPath>Dlls\net6.0-windows\TextEditLib.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup Condition="'$(TargetFramework)' == 'netcoreapp3.1'">
    <Reference Include="AIStudio.Wpf.Script.Core">
      <HintPath>Dlls\netcoreapp3.1\AIStudio.Wpf.Script.Core.dll</HintPath>
    </Reference>
    <Reference Include="HL">
      <HintPath>Dlls\netcoreapp3.1\HL.dll</HintPath>
    </Reference>
    <Reference Include="TextEditLib">
      <HintPath>Dlls\netcoreapp3.1\TextEditLib.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup Condition="'$(TargetFramework)' == 'net461'">
    <Reference Include="AIStudio.Wpf.Script.Core">
      <HintPath>Dlls\net461\AIStudio.Wpf.Script.Core.dll</HintPath>
    </Reference>
    <Reference Include="HL">
      <HintPath>Dlls\net461\HL.dll</HintPath>
    </Reference>
    <Reference Include="TextEditLib">
      <HintPath>Dlls\net461\TextEditLib.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
